﻿@Code
    ViewBag.Title = "Select.Pdf for .NET - Convert from Html to Pdf - Mvc Razor Vb.Net"
    Layout = "~/Views/Shared/MasterPage.vbhtml"
End Code

@Code
Using(Html.BeginForm("Convert", "HtmlToPdf", FormMethod.Post))
End Code
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">Select.Pdf for .NET - Convert from Html to Pdf - Mvc Razor Vb.Net</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use Select.Pdf html to pdf converter to convert an url to pdf, also setting a few properties.
                </p>
                <p>
                    Url:<br />
                    <input type="text" value="http://selectpdf.com" name="TxtUrl" style="width: 90%"/>
                </p>
                <div class="col2">
                    Pdf Page Size:<br />
                    <select name="DdlPageSize">
                        <option value="A1">A1"></option>
                        <option value="A2">A2</option>
                        <option value="A3">A3</option>
                        <option value="A4" selected>A4</option>
                        <option value="A5">A5</option>
                        <option value="Letter">Letter</option>
                        <option value="HalfLetter">HalfLetter</option>
                        <option value="Ledger">Ledger</option>
                        <option value="Legal">Legal</option>
                    </select><br />
                    <br />
                    Pdf Page Orientation:<br />
                    <select name="DdlPageOrientation">
                        <option value="Portrait" selected>Portrait</option>
                        <option value="Landscape">Landscape</option>
                    </select><br />
                    <br />
                </div>
                <div class="col2">
                    Web Page Width:<br />
                    <input name="TxtWidth" type="text" style="width: 50px" value="1024" /> px<br />
                    <br />
                    Web Page Height:<br />
                    <input name="TxtHeight" type="text" style="width: 50px" value="" /> px<br />
                    (leave empty to auto detect)<br />
                    <br />

                </div>
                <div class="col-clear"></div>
                <p>
                    <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton"/>
                </p>
            </div>
            <!-- .entry-content -->
        </article>
@Code
End Using
End Code